local SideBarSevenDayCell2 = class("SideBarSevenDayCell2", SideBarBaseCell)

function SideBarSevenDayCell2:getCellName()
    return I18N:getGlobalText(I18N.GlobalConst.ACT_SEVENDAY_2)
end

function SideBarSevenDayCell2:getModuleKey()
    return ModuleManager.MODULE_KEY.ACT_SEVENDAY_2
end

function SideBarSevenDayCell2:getIsOpen()
    return DataManager.ActSevenDayData:isOpen(2)
end

function SideBarSevenDayCell2:getSpineName()
    return "ui_main_btn_act_sevenday"
end

function SideBarSevenDayCell2:onClick()
    ModuleManager.ActSevenDayManager:showMainS2UI()
end

function SideBarSevenDayCell2:getIsShowRedPoint()
    return DataManager.ActSevenDayData:hasRedPoint(2)
end

return SideBarSevenDayCell2